<template>
    <el-carousel :interval="4000" type="card" height="300px">
    <el-carousel-item v-for="day in timeline" :key="day">
      <div class="item">
        <div class="item_content">{{day.title}}</div>
        <a class="article" :href="day.url" target="_blank">
        <img
          class="item__image"
          :src="day.media[0]['media-metadata'][0].url"
          alt=""
        /></a>
      </div>
    </el-carousel-item>
    </el-carousel>
</template>

<script>
export default ({
    props:['timeline'],
    setup(props) {
        
    },
})
</script>

<style scoped>
img{
    width:300px;
    height:300px;
}
</style>